package com.ningdatech.pmapi.projectdeclared.entity.dto;

import com.ningdatech.basic.model.PagePo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Classname DeclaredProjectParamDto
 * @Description
 * @Date 2023/2/1 14:52
 * @Author PoffyZhang
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeclaredProjectListParamDTO extends PagePo {

    private String userId;

    private String projectName;

    private Integer projectType;

    private Integer projectStage;

    private Integer projectStatus;

    private Integer projectYear;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endTime;
}
