package com.ningdatech.pmapi.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户鉴权表
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-01-04
 */
@Data
@TableName("nd_user_auth")
@ApiModel(value = "UserAuth对象", description = "用户鉴权表")
public class UserAuth implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long userId;

    private String authType;

    private String identifier;

    private String credential;

}
